Bug Hunting Session
Bug 125289 - Missing color name(s) in Conditional formatting dialog, hard coded color values not present on standard.soc
Summary: Missing color name(s) in Conditional formatting dialog, hard coded color valu...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.4.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicDesign
Depends on:
Blocks: Conditional-Formatting-Editing
  Show dependency treegraph
 
Reported: 2019-05-14 20:09 UTC by Roman Kuznetsov
Modified: 2019-10-09 08:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-05-14 20:09:46 UTC
Description:
wrong color name in Conditional formatting dialog for Color scale 2 and Color scale 3

Steps to Reproduce:
1. Open Calc
2. Select Conditional icon on toolbar
3. Select Color scale in drop-down list of conditions
4. Look at Maximum color name (3 entries) -> #00CC00 instead Green
5. Change to Color scale (2 entries)
6. Look at Maximum color name (2 entries) -> #65C295 instead Green
7. Look at Minimum color name (2 entries) -> #FFF685 instead Yellow

Actual Results:
wrong color name in Conditional formatting dialog for Color scale 2 and Color scale 3

Expected Results:
right color names in Conditional formatting dialog


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+ (x64)
Build ID: ccf3a0600ee902390ad6112ecf28223078bdd2db
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-05-13_03:08:59
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 1 V Stuart Foote 2019-05-15 06:49:37 UTC
Confirmed on Windows 10 Pro 64-bit en-US with builds back to 6.1.0alpha0+

Similar to named color handling in bug 125288, the default init colors [1][2] for the color scale were not adjusted with changes at 6.1 to a RYB standard.soc

The default color hex values could be tweaked to match color named entries in the RYB based standard.soc at 6.1--or if a fix moves to the tonal.soc to value for a named color there.

Again though, not clear how many QA unit test would also need to be tweaked.

=-refs-=
Init colors for Color Scale (2 entries)
https://opengrok.libreoffice.org/xref/core/sc/source/ui/condformat/condformatdlgentry.cxx?r=00ae441b#759

Init colors for Color Scale (3 entries)
https://opengrok.libreoffice.org/xref/core/sc/source/ui/condformat/condformatdlgentry.cxx?r=00ae441b#898
Comment 2 Gabor Kelemen 2019-08-07 09:28:16 UTC
Proposed patch: https://gerrit.libreoffice.org/#/c/77074/
Comment 3 Commit Notification 2019-10-08 14:42:33 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/850123c8572f07eafc16eed2eb00b4d83945808b

tdf#125289 Use default colors from the new standard palette

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.